## GFileDescriptorBased

GFileDescriptorBased — Interface for file descriptor based IO

## Functions

int | g_file_descriptor_based_get_fd ()

## Types and Values

| GFileDescriptorBased

## Object Hierarchy

        GInterface
        ╰── GFileDescriptorBased

## Prerequisites

GFileDescriptorBased requires GObject.

## Known Implementations

GFileDescriptorBased is implemented by GUnixInputStream and GUnixOutputStream.

## Includes

    #include <gio/gfiledescriptorbased.h>

## Description

GFileDescriptorBased is implemented by streams (implementations of GInputStream or GOutputStream) that are based on file descriptors.

Note that `<gio/gfiledescriptorbased.h>` belongs to the UNIX-specific GIO interfaces, thus you have to use the `gio-unix-2.0.pc` pkg-config file when using it.

## Functions

### g_file_descriptor_based_get_fd ()

    int
    g_file_descriptor_based_get_fd (GFileDescriptorBased *fd_based);

Gets the underlying file descriptor.

#### Parameters

fd_based | a GFileDescriptorBased. |

#### Returns

The file descriptor

Since 2.24

## Types and Values

### GFileDescriptorBased

    typedef struct _GFileDescriptorBased GFileDescriptorBased;

An interface for file descriptor based io objects.

## See Also

GInputStream, GOutputStream